• Call Cognex Sales: 855-4-COGNEX (855-426-4639)

Cognex’s response to the Log4j Security Vulnerability

As you may be aware, a global cybersecurity vulnerability (CVE-2021-44228) was recently identified in Log4j products, an open-source logging utility that is used in common applications. The flaw potentially allows cybercriminals an ability to access data and remotely deploy software that Log4j executes.

In response to this threat, Cognex’s Information Security Team has worked diligently to review Cognex’s IT environment and protect Cognex’s systems against this threat. Cognex believes that the Log4j vulnerability has not affected Cognex products and no action is required by Cognex customers.

Cognex will continue to diligently monitor the situation and will provide updates should the situation evolve.

Thank you for your continued trust in Cognex.